# CUpti_ActivitySourceLocator Struct Reference
[CUPTI Activity API]

The activity record for source locator. More...

## Data Fields
const char * | fileName
uint32_t | id
CUpti_ActivityKind | kind
uint32_t | lineNumber

## Detailed Description

This activity record represents a source locator (CUPTI_ACTIVITY_KIND_SOURCE_LOCATOR).

## Field Documentation

const char* CUpti_ActivitySourceLocator::fileName

The path for the file.

uint32_t CUpti_ActivitySourceLocator::id

The ID for the source path, will be used in all the source level results.

CUpti_ActivityKind CUpti_ActivitySourceLocator::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_SOURCE_LOCATOR.

uint32_t CUpti_ActivitySourceLocator::lineNumber

The line number in the source .